Bug 877301 - createrepo -C does nothing on empty repo
Summary: createrepo -C does nothing on empty repo
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: createrepo
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Packaging Maintenance Team
QA Contact: Karel Srot
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-16 08:12 UTC by Marko Myllynen
Modified: 2013-05-30 07:44 UTC (History)
2 users (show)

Fixed In Version: createrepo-0.9.9-18.el6
Doc Type: Bug Fix
Doc Text:
Cause: Timestamp check didn't pass if the file didn't exist. Consequence: An empty repo. was incorrectly flagged as up to date. Fix: Treat missing file as a failure, and not a pass. Result: Repo. is created when --checkts used on empty repo.
Clone Of:
Environment:
Last Closed: 2013-05-30 07:44:27 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:0879 normal SHIPPED_LIVE createrepo bug fix update 2013-05-30 11:43:34 UTC

Description Marko Myllynen 2012-11-16 08:12:10 UTC
Description of problem:
There's one corner case issue remaining with -C:

$ mkdir test
$ cd test
$ mkdir packages
$ createrepo -v -C .
repo is up to date
$ createrepo .

Saving Primary metadata
Saving file lists metadata
Saving other metadata
Generating sqlite DBs
Sqlite DBs complete
$ rpm -V createrepo
$ rpm -q createrepo
createrepo-0.9.9-15.el6.noarch
$

Comment 2 RHEL Product and Program Management 2012-12-14 08:11:58 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 3 James Antill 2013-04-16 20:19:16 UTC
commit f0020c470935cbb98ed4c53ef8ae24952e799a01
Author: Zdeněk Pavlas <zpavlas@redhat.com>
Date:   Fri Dec 14 11:20:21 2012 +0100

Comment 12 errata-xmlrpc 2013-05-30 07:44:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0879.html


Note You need to log in before you can comment on or make changes to this bug.